Groovy Documentation

## org.codehaus.groovy.grails.compiler.injection
[Java] Class GlobalPluginAwareEntityASTTransformation

    java.lang.Object
      org.codehaus.groovy.grails.compiler.injection.GlobalPluginAwareEntityASTTransformation

All Implemented Interfaces:
  org.codehaus.groovy.transform.ASTTransformation

    @GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
    public class GlobalPluginAwareEntityASTTransformation

Automatically annotates any class with @Plugin(name="foo") if it is a plugin resource.

Authors:
  Graeme Rocher

Since:
  1.2

Method Summary
`void` | `visit(ASTNode[] astNodes, org.codehaus.groovy.control.SourceUnit sourceUnit)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### visit

    public void visit(ASTNode[] astNodes, org.codehaus.groovy.control.SourceUnit sourceUnit)

Groovy Documentation